1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      GET
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  1. Live Endpoints

lookupPrices

Developing
POST
/lookupPrices
Get price for article

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/lookupPrices' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customer": "string",
    "store": "string",
    "items": [
        {
            "article": "string",
            "quantity": 0,
            "quantityUnit": "string"
        }
    ]
}'
Response Response Example
{
    "items": [
        {
            "article": "string",
            "price": 0,
            "taxAmount": 0
        }
    ]
}
Modified at 2026-04-01 14:15:18
Previous
getStockLevels
Next
lookupMargins
Built with